Skip to main content
GET
/
connections
/
{connection_id}
Get a connection
curl --request GET \
  --url https://api.getdialed.ai/flows/connections/{connection_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.getdialed.ai/flows/connections/{connection_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.getdialed.ai/flows/connections/{connection_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "auth_method": "basic_auth",
  "created_by": "user_11223344",
  "credentials_ref": "getdialed/acme/five9/conn_e5f6g7h8",
  "id": "conn_e5f6g7h8",
  "last_verified": "2026-07-09T18:00:00Z",
  "name": "Five9 Production",
  "org_id": "org_a1b2c3d4",
  "platform_id": "five9",
  "service_id": "five9__configuration",
  "status": "active"
}
{
  "detail": "Authentication required"
}
{
  "detail": "Connection not found"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}
{
  "detail": "Rate limit exceeded: 100 per 1 minute"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

connection_id
string
required

Response

Successful Response

id
string
required
org_id
string
required
name
string
required
platform_id
string
required
service_id
string
required
auth_method
string
required
credentials_ref
string
required
status
string
required
created_by
string
required
last_verified
string<date-time> | null
required